﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CommandDesignPattern
{
 
    class Calculator
    {
        private int _currentIndex = 0;

        public void Operation(char @operator, int operand)
        {
            switch (@operator)
            {
                case '+': _currentIndex += operand; break;
                case '-': _currentIndex -= operand; break;
                case '*': _currentIndex *= operand; break;
                case '/': _currentIndex /= operand; break;
            }
            Console.WriteLine(
              "Current value = {0,3} (following {1} {2})",
              _currentIndex, @operator, operand);
        }
    }
}
